%define _requires_exceptions devel\(linux-gate\)

%define __libtoolize    /bin/true
%define launchers /etc/dynamic/launchers/scanner

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}
%if %mdkversion > 200600
%define unstable 0
%endif

%if %unstable
%define dont_strip 1
%endif

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

%define lib_name_orig kdegraphics
%define lib_major 0
%define lib_name %mklibname kdegraphics %lib_major

Name:		kdegraphics
Version:    3.5.4
Release:    %mkrel  7
Epoch:		1
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Graphics
License:	GPL
URL:		http://www.kde.org/
Source:     %name-%version.tar.bz2
Buildroot:	%_tmppath/%name-%version-%release-root
Patch0: kdegraphics-post-3.5.4-kpdf-leak-fix.patch
Patch1: kdegraphics-3.5.4-fix-kpdf-mem-leak.patch
Patch2: kdegraphics-post-3.5.4-ksvg-mime.patch
Patch3: kdegraphics-post-3.5.4-kcontrol-defaults.patch

Patch4:	kdegraphics-3.5.4-kpdf-fix-crash-bug-113635.patch

BuildRequires: jpeg-devel 
BuildRequires: png-devel 
BuildRequires: libimlib-devel libtiff-devel
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: kdelibs-devel >= 3.2-13mdk 
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: openssl-devel 
BuildRequires: libsane-devel 
BuildRequires: OpenEXR-devel
BuildRequires: libtiff-progs
BuildRequires: gphoto2-devel
BuildRequires: fribidi-devel
BuildRequires: libpoppler-qt-devel
BuildRequires: fontconfig-devel
# necessary for displaying info into konqueror pdfinfo
BuildRequires:	xpdf
%if %mdkversion <= 200600
BuildRequires:	libMesaglut-devel
%else
BuildRequires: 	mesaglut-devel
%endif
Requires: kdegraphics-ksnapshot = %epoch:%version-%release
Requires: kdegraphics-common = %epoch:%version-%release
Requires: kdegraphics-kuickshow = %epoch:%version-%release
Requires: kdegraphics-kdvi = %epoch:%version-%release
Requires: kdegraphics-kfax = %epoch:%version-%release
Requires: kdegraphics-kghostview = %epoch:%version-%release   
Requires: kdegraphics-kiconedit = %epoch:%version-%release   
Requires: kdegraphics-kcolorchooser = %epoch:%version-%release   
Requires: kdegraphics-kcoloredit = %epoch:%version-%release   
Requires: kdegraphics-kpovmodeler = %epoch:%version-%release    
Requires: kdegraphics-kruler = %epoch:%version-%release    
Requires: kdegraphics-mrmlsearch = %epoch:%version-%release    
Requires: kdegraphics-kview = %epoch:%version-%release    
Requires: fribidi

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications:

	- kamera: digital camera io_slave for Konqueror. Together gPhoto this 
			allows you to access your camera's picture with the URL kamera:/
	- kcoloredit: contains two programs: a color value editor and also 
			a color picker
	- kdvi: program (and embeddable KPart) to display *.DVI files from TeX
	- kfax: a program to display raw and tiffed fax images (g3, g3-2d, g4)
	- kfaxview: an embeddable KPart to display tiffed fax images
	- kfile-plugins: provide meta information for graphic files
	- kghostview: program (and embeddable KPart) to display *.PDF and *.PS
	- kiconedit: an icon editor
	- kooka: a raster image scan program, based on SANE and libkscan
	- kruler: a ruler in inch, centimeter and pixel to check distances 
	 		  on the screen
	- ksnapshot: make snapshots of the screen contents
	- kuickshow: fast and comfortable imageviewer
	- kview: picture viewer, provided as standalone program and embeddable KPart
	- kviewshell: generic framework for viewer applications

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package common
Summary:	Common files for kdegraphics
Group:		Graphical desktop/KDE	
Requires:   kdelibs 
Requires:   libgphoto-hotplug
Obsoletes:  kdegraphics3
Provides:   kdegraphics3 = %epoch:%version-%release
Obsoletes:  kdegraphics <= 3.1-9mdk
Provides:   kdegraphics = %epoch:%version-%release
Obsoletes:  kgamma
Provides:   kgamma = %epoch:%version-%release


%description common
Common files for kdegraphics

%post  common
%update_menus

%postun common
%clean_menus

%files common
%defattr(-,root,root)
%_menudir/kdegraphics-kamera
%_menudir/kdegraphics-kgamma
%_datadir/applications/kde/kamera.desktop
%doc %_docdir/HTML/en/kamera/*
%_datadir/applications/kde/kgamma.desktop
%dir %_datadir/apps/kgamma/
%_datadir/apps/kgamma/*
%doc %_docdir/HTML/en/kgamma
%_bindir/xf86gammacfg
%_datadir/apps/kconf_update/update-to-xt-names.pl
%_libdir/kde3/kio_kamera.*
%_libdir/kde3/kcm_kamera.*
%_libdir/kde3/kcm_kgamma.*
%_libdir/kde3/kfile_*
%_libdir/kde3/emptymultipagepart.*
%_datadir/servicetypes/kmultipage.desktop
%_datadir/services/emptymultipage.desktop
%_iconsdir/*/*/*/kgamma*
%_iconsdir/*/*/filesystems/*
%_iconsdir/*/*/actions/*
%_iconsdir/*/*/devices/*
%_iconsdir/*/*/apps/camera*
%_datadir/services/kfile_*
%_datadir/services/scanservice.desktop
%_datadir/services/camera.protocol
%exclude %_libdir/kde3/kfile_pdf*
%exclude %_datadir/services/kfile_pdf*

#----------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Libraries files for kdegraphics
Group:		Graphical desktop/KDE

Obsoletes:	%lib_name
Provides:	%lib_name = %epoch:%version-%release

%description -n %lib_name-common
Libraries files for kdegraphics

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkmultipage.la*  
%_libdir/libkmultipage.so.*

#----------------------------------------------------------------------

%package kolourpaint
Summary:    Free and easy-to-use paint program for KDE
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	kolourpaint
Provides:	kolourpaint

%description kolourpaint
KolourPaint is a free, easy-to-use paint program for KDE.
It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:
  Painting - drawing diagrams and "finger painting" 
  Image Manipulation - editing screenshots and photos; applying effects 
  Icon Editing - drawing clipart and logos with transparency 
It's not an unusable and monolithic program where simple tasks like drawing 
lines become near impossible. Nor is it so simple that it lacks essential 
features like Undo/Redo. KolourPaint is opensource software written in C++
using the Qt and KDE libraries

%post kolourpaint
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kolourpaint
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kolourpaint
%defattr(-,root,root)
%_bindir/kolourpaint
%_datadir/applications/kde/kolourpaint.desktop
%_menudir/kdegraphics-kolourpaint
%dir %_datadir/apps/kolourpaint
%_datadir/apps/kolourpaint/*
%doc %_docdir/HTML/en/kolourpaint
%_iconsdir/*/*/*/kolourpaint*

#----------------------------------------------------------------------

%package mrmlsearch
Summary:	MRML is short for Multimedia Retrieval Markup Language.
Group:		Graphical desktop/KDE
Obsoletes: %lib_name-mrmlsearch
Provides: mrmlsearch
Conflicts: kdegraphics <= 3.1-9.1mdk

%description mrmlsearch
MRML is short for Multimedia Retrieval Markup Language,
which defines a protocol for querying a server for images
based on their content. See http://www.mrml.net about MRML
and the GNU Image Finding Tool (GIFT), an MRML server.

This package consists of an mrml kio-slave that handles
the communication with the MRML server and a KPart to
be embedded e.g. into Konqueror.

With those, you can search for images by giving an example
image and let the server look up similar images. The query
result can be refined by giving positive/negative feedback.

%post mrmlsearch
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun mrmlsearch
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%files mrmlsearch
%defattr(-,root,root)
%_bindir/mrmlsearch
%_libdir/kde3/kcm_kmrml.*
%_libdir/kde3/kio_mrml.*
%_libdir/kde3/libkmrmlpart.*
%_libdir/kde3/kded_daemonwatcher.*
%_datadir/applications/kde/kcmkmrml.desktop
%_menudir/kdegraphics-kcmkmrml
%_datadir/services/mrml.protocol
%_datadir/services/mrml_part.desktop
%_datadir/services/kded/daemonwatcher.desktop
%_datadir/apps/konqueror/servicemenus/mrml-servicemenu.desktop
%_datadir/mimelnk/text/mrml.desktop
%_libdir/kde3/mrmlsearch.*
%_libdir/libkdeinit_mrmlsearch.*

#----------------------------------------------------------------------

%package -n %lib_name-common-devel
Summary:	Include files for kdegraphics
Group:		Development/KDE and Qt
Requires:   %{lib_name}-common = %epoch:%version-%release
Obsoletes:	kdegraphics-devel < %epoch:%version-%release
Obsoletes:  kdegraphics3-devel < %epoch:%version-%release
Obsoletes:	%lib_name-devel < %epoch:%version-%release
Provides:	kdegraphics-devel = %epoch:%version-%release
Provides:	%lib_name-devel = %epoch:%version-%release
Provides:   kdegraphics3-devel = %epoch:%version-%release
Provides:	%{lib_name_orig}-common-devel = %epoch:%version-%release

%description -n %lib_name-common-devel
This package contains include files needed to build applications 
based on kdegraphic.

%post -n %lib_name-common-devel -p /sbin/ldconfig
%postun -n %lib_name-common-devel -p /sbin/ldconfig

%files -n %lib_name-common-devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/libkmultipage.so

#----------------------------------------------------------------------


%package kooka
Summary:    Kooka is a raster image scan program for the KDE system.
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	gocr, sane
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	kooka
Provides:	scanner-gui

%description kooka
This package contains a raster image scan program, based on SANE and libkscan.

%files kooka
%defattr(-,root,root)
%doc %_docdir/HTML/en/kooka
%_menudir/kdegraphics-kooka
%dir %_datadir/apps/kooka
%_datadir/apps/kooka/*
%_datadir/config/kookarc
%_bindir/kooka
%_datadir/applications/kde/kooka.desktop
%config(noreplace) %launchers/%name.desktop

#----------------------------------------------------------------------

%package kdvi
Summary:    Kdvi is a DVI Viewer.
Group:      Graphical desktop/KDE
Provides:	kdvi
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:	kdegraphics <= 3.1-9.1mdk
Requires:	kdegraphics-common = %epoch:%version-%release
Requires:	tetex

%description kdvi
Kdvi package

%post kdvi
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kdvi
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif


%files kdvi
%defattr(-,root,root)
%doc %_docdir/HTML/en/kdvi
%_libdir/kde3/kdvipart.*
%_iconsdir/*/*/*/kdvi.*
%_datadir/services/kdvimultipage.desktop
%_datadir/config.kcfg/kdvi.kcfg
%_menudir/kdegraphics-kdvi
%_bindir/kdvi           
%_datadir/applications/kde/kdvi.desktop           
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*

#----------------------------------------------------------------------

%package kfax
Summary:    Kfax package
Group:      Graphical desktop/KDE
Provides:	kfax
Requires:   %lib_name-common = %epoch:%version-%release
Requires:   kdegraphics-kview 
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	%lib_name-kfax

%description kfax
A program to display raw and tiffed fax images (g3, g3-2d, g4).

%post kfax
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kfax
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kfax
%defattr(-,root,root)
%_libdir/kde3/djvuviewpart.*
%_libdir/kde3/libdjvu.*
%_datadir/apps/djvumultipage.rc
%_datadir/config.kcfg/djvumultipage.kcfg
%_datadir/services/djvumultipage.desktop
%_bindir/kfax        
%_bindir/kfaxview
%_menudir/kdegraphics-kfax
%_menudir/kdegraphics-kfaxview
%_datadir/applications/kde/kfax.desktop           
%_datadir/applications/kde/kfaxview.desktop
%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*
%dir %_datadir/apps/kfaxview
%_datadir/apps/kfaxview/*
%_iconsdir/*/*/*/kfax*
%_datadir/services/kfaxmultipage.desktop
%_datadir/services/kfaxmultipage_tiff.desktop
%_libdir/kde3/kfaxviewpart.*
# This is a module, not library. We will not change buildsystem
# on kde 3 and the install should be fixed on kde4
%_libdir/libkfaximage.*

#----------------------------------------------------------------------

%package kruler
Summary:    Kruler package
Group:      Graphical desktop/KDE
Provides:	kruler
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen

%post kruler
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun kruler
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%files kruler
%defattr(-,root,root)
%_bindir/kruler  
%_datadir/applnk/Graphics/kruler.desktop
%_iconsdir/*/*/*/kruler*
%_menudir/kdegraphics-kruler
%_datadir/applications/kde/kruler.desktop           
%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/*
%doc %_docdir/HTML/en/kruler

#----------------------------------------------------------------------

%package kghostview
Summary:    Kghostview package
Group:      Graphical desktop/KDE
Provides:	kghostview
Requires:	ghostscript, ghostscript-module-X
Conflicts:  kdegraphics <= 3.1-9.1mdk
Conflicts:	%lib_name-kghostview <= %epoch:3.5.3-5mdk
Conflicts:	kdegraphics-common < 1:3.5.3-7mdv2007.0

%description kghostview
A program (and embeddable KPart) to display *.PDF and *.PS

%post kghostview
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kghostview
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kghostview
%defattr(-,root,root)
%doc %_docdir/HTML/en/kghostview
%_iconsdir/*/*/*/kghostview.*
%_datadir/apps/kconf_update/kghostview.upd
%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/kghostview.kcfg
%_menudir/kdegraphics-kghostview
%_bindir/kghostview  
%_datadir/applications/kde/kghostview.desktop   
%_datadir/services/kghostview_part.desktop
%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*
%_libdir/kde3/libkghostviewpart.*
%_libdir/kde3/gsthumbnail.*
%_datadir/services/gsthumbnail.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kghostview
Summary:    Library for kghostview 
Group:      Development/KDE and Qt
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	kghostview-lib

%description -n %lib_name-kghostview
Library for kghostview

%post -n  %lib_name-kghostview -p /sbin/ldconfig
%postun -n  %lib_name-kghostview -p /sbin/ldconfig

%files -n %lib_name-kghostview
%defattr(-,root,root)
%_libdir/libkghostviewlib.la
%_libdir/libkghostviewlib.so.*

#----------------------------------------------------------------------

%package -n %lib_name-kghostview-devel
Summary:    Devel for kghostview 
Group:      Development/KDE and Qt
Requires:	%lib_name-kghostview = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kghostview-devel
Library for kghostview

%files -n %lib_name-kghostview-devel
%defattr(-,root,root)
%_libdir/libkghostviewlib.so

#----------------------------------------------------------------------

%package kpdf
Summary:    Kpdf package
Group:      Graphical desktop/KDE
Provides:	kpdf
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpdf
kpdf program

%post kpdf
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kpdf
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kpdf
%defattr(-,root,root)
%_bindir/kpdf
%dir %_datadir/apps/kpdf/
%_datadir/apps/kpdf/*
%dir %_datadir/apps/kpdfpart/
%_datadir/apps/kpdfpart/*
%_datadir/services/kpdf_part.desktop
%_iconsdir/*/*/*/kpdf*
%_libdir/kde3/kfile_pdf.*
%_datadir/services/kfile_pdf.desktop
%_menudir/kdegraphics-kpdf
%_libdir/kde3/libkpdfpart.*
%_datadir/config.kcfg/kpdf.kcfg
%doc %_docdir/HTML/en/kpdf
%_datadir/applications/kde/kpdf.desktop           

#----------------------------------------------------------------------

%package ksnapshot
Summary:    Ksnaphot package
Group:      Graphical desktop/KDE
Provides:	ksnapshot
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksnapshot
KSnapshot is intended to be an easy to use program for making
screenshots. I can be bound to the Print Screen key, as the program
takes a snapshot of the desktop on startup (before it displays it
window), so it's a simple way of of making snapshots.

%post ksnapshot
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun ksnapshot
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%files ksnapshot
%defattr(-,root,root)
%doc %_docdir/HTML/en/ksnapshot
%_bindir/ksnapshot  
%_datadir/applications/kde/ksnapshot.desktop
%_menudir/kdegraphics-ksnapshot
%_iconsdir/*/*/*/ksnapshot*

#----------------------------------------------------------------------


%package kpovmodeler
Summary:    Kpovmodeler package
Group:      Graphical desktop/KDE
Provides:	kpovmodeler
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description kpovmodeler
Program to enter scenes for the 3D rendering engine PovRay.

%post kpovmodeler
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kpovmodeler
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kpovmodeler
%defattr(-,root,root)
%_bindir/kpovmodeler  
%doc %_docdir/HTML/en/kpovmodeler
%_libdir/kde3/libkpovmodelerpart.*
%_menudir/kdegraphics-kpovmodeler
%_iconsdir/*/*/*/kpovmodeler*
%dir %_datadir/apps/kpovmodeler/
%_datadir/apps/kpovmodeler/*
%_datadir/applications/kde/kpovmodeler.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kpovmodeler
Summary:    Library for kpovmodeler package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kpovmodeler
Library for kpovmodeler.

%post -n %lib_name-kpovmodeler -p /sbin/ldconfig
%postun -n %lib_name-kpovmodeler -p /sbin/ldconfig

%files -n %lib_name-kpovmodeler
%defattr(-,root,root)
%_libdir/libkpovmodeler.la
%_libdir/libkpovmodeler.so.*

#----------------------------------------------------------------------

%package -n %lib_name-kpovmodeler-devel
Summary:    Devel for kpovmodeler package
Group:      Development/KDE and Qt
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description -n %lib_name-kpovmodeler-devel
Devel for kpovmodeler.

%files -n %lib_name-kpovmodeler-devel
%defattr(-,root,root)
%_libdir/libkpovmodeler.so

#----------------------------------------------------------------------

%package kiconedit
Summary:    Kiconedit package
Group:      Graphical desktop/KDE
Provides:	kiconedit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kiconedit
An icon editor.

%post kiconedit
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kiconedit
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kiconedit
%defattr(-,root,root)
%doc %_docdir/HTML/en/kiconedit
%_menudir/kdegraphics-kiconedit
%_datadir/applications/kde/kiconedit.desktop    
%dir %_datadir/apps/kiconedit
%_datadir/apps/kiconedit/*
%_iconsdir/*/*/*/kiconedit*
%_bindir/kiconedit   

#----------------------------------------------------------------------

%package kview
Summary:    Kview package
Group:      Graphical desktop/KDE
Provides:	kview
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kview = %epoch:%version-%release
Conflicts:	kdegraphics-ksvg < %epoch:3.5.3-5mdk
Conflicts:	kdegraphics-common < %epoch:3.5.3-5mdk

%description kview
Kview is a  picture viewer, provided as standalone program and embeddable KPart

%post kview
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache crystalsvg
%endif

%postun kview
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache crystalsvg
%endif

%files kview
%defattr(-,root,root)
%doc %_docdir/HTML/en/kview
%_bindir/kview
%_bindir/kviewshell
%_datadir/config.kcfg/kviewshell.kcfg
%_libdir/kde3/kviewerpart.*
%_menudir/kdegraphics-kview
%_datadir/applications/kde/kview.desktop           
%_libdir/kde3/kview.*
%_libdir/libkdeinit_kview.*      
%_libdir/kde3/kcm_kview*.*
%_datadir/services/kviewviewer.desktop
%dir %_datadir/services/kconfiguredialog/
%_datadir/services/kconfiguredialog/kviewcanvasconfig.desktop
%_datadir/services/kconfiguredialog/kviewgeneralconfig.desktop
%_datadir/services/kconfiguredialog/kviewpluginsconfig.desktop
%_datadir/services/kconfiguredialog/kviewviewerpluginsconfig.desktop
%dir %_datadir/apps/kview/
%_datadir/apps/kview/*
%_datadir/services/kviewcanvas.desktop
%_datadir/servicetypes/kimageviewercanvas.desktop
%_datadir/servicetypes/kimageviewer.desktop
%dir %_datadir/apps/kviewviewer/
%_datadir/apps/kviewviewer/*
%_libdir/kde3/kview_*
%_libdir/kde3/libkview*
%_libdir/kde3/libphotobook.*
%_iconsdir/*/*/*/photobook*
%_iconsdir/*/*/*/kview*
%_datadir/services/photobook.desktop
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*
%dir %_datadir/apps/photobook/
%_datadir/apps/photobook/*

#----------------------------------------------------------------------

%package -n %lib_name-kview
Summary:    Librarie for Kview package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kview
Libraries for Kview package

%post -n %lib_name-kview -p /sbin/ldconfig
%postun -n %lib_name-kview -p /sbin/ldconfig

%files -n %lib_name-kview
%defattr(-,root,root)
%_libdir/libkimageviewer.so.*
%_libdir/libkimageviewer.la

#----------------------------------------------------------------------

%package -n %lib_name-kview-devel
Summary:    Devel file for Kview package
Group:      Development/KDE and Qt
Requires:	%lib_name-kview = %epoch:%version-%release
Provides:	%{lib_name_orig}-kview-devel = %epoch:%version-%release

%description -n %lib_name-kview-devel
Devel files for Kview package

%files -n %lib_name-kview-devel
%defattr(-,root,root)
%_libdir/libkimageviewer.so
%_includedir/kviewshell/*.h

#----------------------------------------------------------------------

%package kuickshow
Summary:    Kuickshow package
Group:      Graphical desktop/KDE
Provides:	kuickshow
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	%lib_name-kuickshow

%description kuickshow
A fast and comfortable imageviewer.

%post kuickshow
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kuickshow
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif


%files kuickshow
%defattr(-,root,root)
%doc %_docdir/HTML/en/kuickshow
%_bindir/kuickshow  
%_iconsdir/*/*/*/kuickshow*
%_datadir/applications/kde/kuickshow.desktop
%_menudir/kdegraphics-kuickshow
%dir %_datadir/apps/kuickshow/
%_datadir/apps/kuickshow/*
%_libdir/kde3/kuickshow.*  
%_libdir/libkdeinit_kuickshow.*

#----------------------------------------------------------------------

%package kcoloredit
Summary:    kcoloredit package
Group:      Graphical desktop/KDE
Provides:	kcoloredit
Obsoletes:  kdegraphics-kpaint

%description kcoloredit
A fast and comfortable imageviewer.

%post kcoloredit
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kcoloredit
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kcoloredit
%defattr(-,root,root)
%doc %_docdir/HTML/en/kcoloredit
%dir %_datadir/apps/kcoloredit
%_datadir/applications/kde/kcoloredit.desktop     
%_datadir/apps/kcoloredit/*
%_menudir/kdegraphics-kcoloredit
%_bindir/kcoloredit     
%_iconsdir/*/*/*/kcoloredit*

#----------------------------------------------------------------------

%package kcolorchooser
Summary:    kcolorchooser package
Group:      Graphical desktop/KDE
Provides:	kcolorchooser
Obsoletes:  kdegraphics-kpaint

%description kcolorchooser
A fast and comfortable imageviewer.

%post kcolorchooser
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun kcolorchooser
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif


%files kcolorchooser
%defattr(-,root,root)
%_bindir/kcolorchooser  
%_menudir/kdegraphics-kcolorchooser
%_datadir/applications/kde/kcolorchooser.desktop  
%_iconsdir/*/*/*/kcolorchooser*

#----------------------------------------------------------------------

%package -n %lib_name-kooka
Summary:    Library for Kooka 
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description  -n %lib_name-kooka
Library for Kooka 

%post kooka
%update_menus
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %launchers/%name.desktop 29

%postun kooka
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove scanner.gnome.dynamic %launchers/%name.desktop
fi

%files -n %lib_name-kooka
%defattr(-,root,root)
%_libdir/libkscan.so.*
%_libdir/libkscan.la

#----------------------------------------------------------------------

%package -n %lib_name-kooka-devel
Summary:    Devel files for Kooka 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	%{lib_name_orig}-kooka-devel = %epoch:%version-%release

%description  -n %lib_name-kooka-devel
Devel files for Kooka 

%post -n %lib_name-kooka -p /sbin/ldconfig
%postun -n %lib_name-kooka -p /sbin/ldconfig

%files -n %lib_name-kooka-devel
%defattr(-,root,root)
%_libdir/libkscan.so

#----------------------------------------------------------------------

%package ksvg
Summary:    Ksvg package
Group:      Graphical desktop/KDE
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	ksvg
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksvg
KSVG is a KDE implementation of the Scalable Vector Graphics Specifications.

%files ksvg
%defattr(-,root,root)
%_bindir/svgdisplay
%_bindir/printnodetest
%_libdir/kde3/libksvg*
%_libdir/kde3/svgthumbnail.*
%_datadir/servicetypes/ksvgrenderer.desktop
%_datadir/services/svgthumbnail.desktop
%_datadir/services/ksvglibartcanvas.desktop
%_datadir/services/ksvgplugin.desktop
%dir %_datadir/apps/ksvg/
%_datadir/apps/ksvg/ksvgplugin.rc

#----------------------------------------------------------------------

%package -n %lib_name-ksvg
Summary:    Library for Ksvg
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description  -n %lib_name-ksvg
Library for Ksvg

%postun -n %lib_name-ksvg -p /sbin/ldconfig
%post -n %lib_name-ksvg -p /sbin/ldconfig

%files -n %lib_name-ksvg
%defattr(-,root,root)
%_libdir/libksvg.la
%_libdir/libksvg.so.*
%_libdir/libtext2path.la
%_libdir/libtext2path.so.*


#----------------------------------------------------------------------

%package -n %lib_name-ksvg-devel
Summary:    Devel files for Ksvg 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	%{lib_name_orig}-ksvg-devel = %epoch:%version-%release

%description  -n %lib_name-ksvg-devel
Devel files for Ksvg

%files -n %lib_name-ksvg-devel
%defattr(-,root,root)
%_libdir/libksvg.so
%_libdir/libtext2path.so
%dir %_includedir/dom/
%_includedir/dom/*.h
%dir %_includedir/ksvg/
%_includedir/ksvg/*.h
%dir %_includedir/libtext2path-0.1/
%_includedir/libtext2path-0.1/*.h

#----------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .fix_kpdf_mem_leak_post354
%patch1 -p1 -b .fix_kpdf
%patch2 -p1 -b .ksvgmime
%patch3 -p1 -b .defaults

%patch4 -p1 -b .fix_kpdf_crash

%build
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%configure2_5x \
	--with-kamera \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%else
	--disable-final \
%endif
	--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath \
	--with-xinerama 

%make

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH



kdedesktop2mdkmenu.pl kdegraphics-kdvi Office/Publishing %buildroot/%_datadir/applications/kde/kdvi.desktop %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics-kfax "Office/Communications/Fax" %buildroot/%_datadir/applications/kde/kfax.desktop %buildroot/%_menudir/kdegraphics-kfax

kdedesktop2mdkmenu.pl kdegraphics-kfax "Office/Communications/Fax" %buildroot/%_datadir/applications/kde/kfaxview.desktop %buildroot/%_menudir/kdegraphics-kfaxview

kdedesktop2mdkmenu.pl kdegraphics-kghostview Office/Publishing %buildroot/%_datadir/applications/kde/kghostview.desktop %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics-kview Multimedia/Graphics %buildroot/%_datadir/applications/kde/kview.desktop %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics-kooka Multimedia/Graphics %buildroot/%_datadir/applications/kde/kooka.desktop %buildroot/%_menudir/kdegraphics-kooka
kdedesktop2mdkmenu.pl kdegraphics-kpovmodeler Multimedia/Graphics %buildroot/%_datadir/applications/kde/kpovmodeler.desktop %buildroot/%_menudir/kdegraphics-kpovmodeler
kdedesktop2mdkmenu.pl kdegraphics-kuickshow Multimedia/Graphics %buildroot/%_datadir/applications/kde/kuickshow.desktop %buildroot/%_menudir/kdegraphics-kuickshow
kdedesktop2mdkmenu.pl kdegraphics-kcolorchooser Multimedia/Graphics %buildroot/%_datadir/applications/kde/kcolorchooser.desktop %buildroot/%_menudir/kdegraphics-kcolorchooser
kdedesktop2mdkmenu.pl kdegraphics-kcoloredit Multimedia/Graphics %buildroot/%_datadir/applications/kde/kcoloredit.desktop %buildroot/%_menudir/kdegraphics-kcoloredit
kdedesktop2mdkmenu.pl kdegraphics-kiconedit Multimedia/Graphics %buildroot/%_datadir/applications/kde/kiconedit.desktop %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics-kruler Multimedia/Graphics %buildroot/%_datadir/applications/kde/kruler.desktop %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics-ksnapshot Multimedia/Graphics %buildroot/%_datadir/applications/kde/ksnapshot.desktop %buildroot/%_menudir/kdegraphics-ksnapshot
kdedesktop2mdkmenu.pl kdegraphics-kpdf Office/Publishing %buildroot/%_datadir/applications/kde/kpdf.desktop %buildroot/%_menudir/kdegraphics-kpdf
kdedesktop2mdkmenu.pl kdegraphics-kolourpaint Multimedia/Graphics %buildroot/%_datadir/applications/kde/kolourpaint.desktop %buildroot/%_menudir/kdegraphics-kolourpaint
kdedesktop2mdkmenu.pl kdegraphics-common System/Configuration/KDE/Peripherals %buildroot/%_datadir/applications/kde/kamera.desktop %buildroot/%_menudir/kdegraphics-kamera kde
kdedesktop2mdkmenu.pl kdegraphics-common System/Configuration/KDE/Peripherals %buildroot/%_datadir/applications/kde/kgamma.desktop %buildroot/%_menudir/kdegraphics-kgamma kde
kdedesktop2mdkmenu.pl kdegraphics-kmrml System/Configuration/KDE/System %buildroot/%_datadir/applications/kde/kcmkmrml.desktop %buildroot/%_menudir/kdegraphics-kcmkmrml kde

# David - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Kooka \$devicename
Comment=Kooka
Exec=%_bindir/kooka
Terminal=false
Icon=scanner.png
Type=Application
EOF

%clean
rm -fr %buildroot




%changelog
* Thu Sep 14 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-14 16:43:57 (61463)
- Add libgphoto-hotplug requires

* Thu Sep 07 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-07 09:25:50 (60458)
- New package (3.5.4-5mdv 2006-09-07)
  Add patch to fix kpdf crash

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 02:23:58 (57780)
- Remove entries to removed sources

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 01:50:28 (57778)
- Fix last kgamma patch

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 01:10:50 (57777)
- Added kcontrol defaults patch

* Thu Aug 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-17 17:19:09 (56632)
- Fix kpdf mem leak

* Thu Aug 17 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-17 00:21:00 (56496)
- Removed duplicated icons presented in mandriva-kde-icons
- Added post kde 3.5.4 kpdf memory leak fix ( substitute old one )

* Fri Aug 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-11 15:42:07 (55654)
- New package (2006/08/11 3.5.4-2mdv)
  Fix kpdf mem leak

* Fri Aug 04 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-04 11:59:28 (51732)
- New package (2006/08/04 3.5.4-1mdv)

* Wed Aug 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-02 16:08:13 (43004)
- KDE 3.5.4 update

* Tue Aug 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-01 15:36:08 (42903)
- Fix generate menu
  Fix requires

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-20 17:03:22 (41726)
- Disable debug

* Tue Jul 18 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-18 22:30:29 (41571)
- Missin epoch on conflicts break the kghostview upgrade :-/

* Mon Jul 17 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-17 23:44:08 (41511)
- Recompile to fix mirrors breakage

* Tue Jul 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-11 09:19:05 (38732)
- When we move files... move all files
  Fix upgrade after moving files

* Sat Jul 01 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-01 10:25:41 (38271)
- Clean and rearrange spec file
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize
- Added strip macro as stated by Nanar ( for unstable builds )
- Obsoleted kpaint package
- Created kcolorchooser and kcoloredit package
- Fixed kview invalid file list and added in kdegraphics meta package
- Removed old patches in favour of recent commited on kde branch upstream

* Mon Jun 26 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-26 11:12:57 (38039)
- Fix crash ?

* Wed Jun 21 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-21 11:32:25 (37715)
- Use macro

* Sun Jun 18 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-18 12:06:47 (37514)
- Fix provides

* Sat Jun 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-03 11:06:53 (31903)
- 3.5.3

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-20 18:22:34 (27817)
- Compile with new freetype

* Wed May 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-17 14:23:58 (27523)
- rebuild against new xorg

* Sun May 07 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-07 09:27:12 (26985)
- Fix spec file

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 19:02:50 (26984)
- Rebuild for generate category

* Fri Apr 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-14 15:14:49 (26492)
- 3.5.2
  Remove merged patch

* Fri Mar 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-17 08:38:49 (25994)
- Rebuild with new poppler lib

* Fri Feb 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-03 15:49:48 (1569)
- Fix kpdf overwrite file

* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-01 17:52:24 (1545)
- Add missing file

* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-01 17:18:57 (1544)
- 3.5.1

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 08:33:04 (1509)
- Enable debug for cooker only
  MDK9.2 is obsolete now

* Thu Jan 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-12 14:12:06 (1413)
- Don't change docbook

* Thu Jan 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-12 12:08:58 (1412)
- Rebuild for missing package

* Wed Jan 04 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-04 17:35:10 (1372)
- Diff from kde3.5 branch

* Thu Dec 01 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-01 10:48:58 (1232)
- Fix missing file

* Thu Dec 01 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-01 10:22:37 (1231)
- Fix buildrequires

* Thu Dec 01 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-01 08:21:45 (1229)
- Real kde3.5

* Sun Nov 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-13 12:42:27 (1150)
- 3.5.0 (named as rc1)

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:09:11 (1121)
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch

* Wed Oct 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-10-26 21:10:13 (1082)
- We are Mandriva now

* Tue Oct 25 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-25 08:31:45 (1060)
- 3.4.92

* Thu Oct 20 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-20 16:22:24 (1036)
- 3.4.92

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 08:55:38 (854)
- Rebuild
  use %%%%mkrel

* Thu Sep 01 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-01 16:21:33 (790)
- Last sync to fix kpdf

* Fri Aug 26 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-26 10:00:53 (745)
- Fix spec file

* Thu Aug 25 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-25 18:51:09 (740)
- Patch to use kpdf-3.5 (better)

* Fri Aug 19 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-19 14:04:53 (705)
- Rebuild
  Update from svn

* Tue Aug 16 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-16 04:28:15 (650)
- Fix crash in kpdf
  Bugs reported by Nicolas Chipaux
  Fix found by Gwenole Beauchesne thanks

* Fri Aug 12 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-12 10:04:10 (615)
- New sync

* Wed Aug 10 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-10 04:49:32 (571)
- Fix kooka null signal/slot

* Tue Aug 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-09 01:43:17 (559)
- Sync with branch (fix a lot of bug into kpdf)

* Tue Aug 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-02 02:52:10 (497)
- Add diff from 3.4.2
  Disable debug

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 03:26:49 (405)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 19:28:26 (119)
- Uploading package ./kdegraphics

%changelog
* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix kghostview config (bug found by qa)

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add patch16: fix kpdf mdk bug 15357

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Reenable debug
- Change email
- Remove some patchs
- Fix menu entry

* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch24: fix kpdf kde bug  #101519

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Add patch23: "Fix the allocation size of libgoo on 64bit architectures."

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Add parch22: fix kpdf kde bug #100881

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Sync kpdf with kde 3.4 branch

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Sync kpdf with cvs

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch21: fix kgamma kde bug #99396
- Sync kpdf

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Disable debug

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Sync kpdf

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch20: fix kuickshow kde bug #89313

* Sun Jan 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix generate menu entry
- Sync with kpdf (memory managment fix + implement bookmarks)

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Sync for kpdf (fix memory managment)

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Sync with KDE 3.3 branch (kfax fix)
- Sync kpdf from CVS

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add missing buildrequires
- Sync with photobook module from CVS
- Add kpdf from kde 3.4 (it's a very good program now, support presentation, transition, copy text/picture etc.)

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Rebuild with new libt1

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add photobook to kview (new konqueror module)

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Add patch14: fix kde bug #74457

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Sync with CVS 

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix for missing package

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix menu

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu entry

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-9mdk
- Fix spec file

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Rebuild to fix missing package

* Mon Nov 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Fix lib into package

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Provides kolourpaint

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Remove %%buildfor

* Mon Oct 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix BuildRequires

* Tue Oct 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Sync with CVS

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Fix spec file

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecate mdk version < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Tue Oct 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Add patch17: fix xpdf

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-5mdk
- Sync with CVS

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Sync with CVS (kpdf update)

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Disable debug

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Use devicename

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- kde 3.3.0

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch16: fix kpdf init "m_currentPage before opening a document 
								is 0, this way the goToPage if is
 	true when going to the first page and updateActions is triggered"

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch15: fix kde bug #81442, #83590

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Fix config for kuickshow "don't re-open last dir"

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add default config for kuickshow

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Add patch14: fix bug found by David Baudens (after 005.png create 006.png and not 6.png)

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix remove rpath

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Sync with CVS

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Rebuild

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Sync with CVS

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch12: fix ksnapshot bug #63067

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add patch11: disable kghostview action

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild with debug

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild against qt3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Add patch10: fix bugs #6612

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-16mdk
- Use %%configure
- Use mdkversion
- Support for MDK 10.1

* Tue Mar 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Add icons for camera

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Add patch9: fix kamera (bug reported by Arnaud)
- Fix update menu on common and not lib_name-common
- Add provides scanner-gui for kooka

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Fix group
- Add patch8: fix kfile ps plugins "check return value of scanData"
- Fix requires

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Fix spec file

* Wed Feb 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix kghostview

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix kdvi crash 

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix crash into kpdf/kfax

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix kdvi)

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Sync with CVS (fix ksvg crash/kviewshell)
- Fix distlint 
- Build with good kdedesktop2mdkmenu.pl

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Fix menu entry

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix kdvi)
- Requires tetex for kdvi

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS (fix kghostview)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change release number

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Fix menu entries

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-14mdk
- Add patch17: fix 72864 patch from Andy Neitzke <neitzke@fas.harvard.edu> (backported to kde_3_2_branch)

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Fix requires : kdvi require kviewshell which is into kdegraphics-common
- Fix epoch for rpm 4.2.2
- Sync with CVS

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Sync with cVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Wed Dec 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Fix description

* Tue Dec 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Add requires on sane for kooka otherwise we can select a scanner

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2 from CVS
- Fix group

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-10mdk
- Sync with CVS

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Fri Nov 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Obsolete kgamma
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix menu


* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-21mdk
- Sync with CVS

* Fri Oct 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-20mdk
- Sync with CVS

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-19mdk
- Sync with CVS 

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-18mdk
- Sync with CVS

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-17mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-16mdk
- Sync with CVS 

* Wed Oct 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-15mdk
- Sync with CVS

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-14mdk
- Sync with CVS 

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-13mdk
- Sync with CVS

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-12mdk
- Sync with CVS

* Thu Oct 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-11mdk
- Update from CVS

* Tue Oct 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Update from CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Update

* Mon Sep 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Update code

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Enable-final

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Update code from CVS 

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Fix kpdf

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- 3.1.92

* Mon Sep 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-3mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add debug
- Fix menu
- fix support for MDK9.3

* Wed Sep 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Tue Sep 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-35mdk
- Fix requires on ghostscript-module-X (thanks Pixel)

* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-34mdk
- Fix requires on libsane1-devel

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-33mdk
- Add support for dynamic

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-32mdk
- Fix upgrade with 9.1

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-31mdk
- Fix patch11: fix kooka shortcut conflict

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-30mdk
- Fix patch9: show all icons in toolbar

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-29mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-28mdk
- Fix spec file

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-27mdk
- Fix spec file

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-26mdk
- Add patch10 fix #61934

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-25mdk
- Apply gb patch (thanks)

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-24mdk
- Update code (fix kiconedit)

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-23mdk
- Fix requires

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Split kview

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix description

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix require

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Fix requires/Provides

* Fri Aug 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix mem leak (QToolTips was not removed)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Update code (fix crash in kghostview)

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix requires

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Rebuild with libexif9

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Add provides

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Minor spec clean

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Update code

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Rebuild

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix update menu

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix requires
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix buildRequires
- __cputoolize

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix provides (thanks fpons)

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix Obsoletes/Provides 

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Tue Jun 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Update code

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Reapply patch
- Add patch10: fix kghostview display "modify shortcut" entry


* Tue Jun 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch8: allow to change shortcut in kfax
- Add patch9: allow to change shortcut in kghostview

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch7: add shortcut in keditcolor

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Apr 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Update code from kde3.1.1 branch

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Add buildrequires missing reported by Vincent Danen <vdanen@mandrakesoft.com>

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with kde3.1 branch

* Tue Apr 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Minor fix

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Resync with kde_3_1_branch

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Mar 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Split kooka

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch7 : fix from kde3.1:
=> kiconedit "Backport circle/ellipse tool fix."
=> kpovmodeler :"Fixed the insert rules for patterned textures"

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix kuickshow

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kuickshow bug )

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix kdvi

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kooka, kdvi bugs

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kview

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Rebuild

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Reactivate patch5

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Remove debug

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove require libgpio0 

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Remove requires on gpio-devel

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch " Make it lib64 aware"

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch6 : fix multiple about widget

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Add patch5 : fix crash when we change config

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Remove tetex as buildrequire 

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch4 : fix crash in kmrml

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reapply patch1-3
- Remove unused patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Sep 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Ad Patch11 : fix konqueror crash in kfile_plugins png

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Patch10 : Fix kcontrol->kamera crash

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Require gv

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch9 : fix kfax mem leak

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Update code from kde_3_0_branch fix kfile_png

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch8 : fix second kooka mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch7 : fix kooka mem leak

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch6 : fix assert in kcontrol->kamera

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch5 : fix configure kghostview
- Add Source1 : default kghostview config file.

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kioslave/kamera 

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3
- Add patch3 fix compile

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debug
- Fix build requires

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Rebuild

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild with gphoto2 support

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update from KDE_3_0_BRANCH
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Rebuild

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- rebuild

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix build requires

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegraphics

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.5mdk
- Fix buildrequires for 8.3
- Reactivate gphoto

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.2
- Readd kooka

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1
- Re-create devel package
- Fix and clean %%files sections

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix requires

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

